# kind: pipeline
# type: docker
# name: groupme

# steps:
# - name: docker  
#   image: plugins/docker
#   settings:
#     dockerfile: Dockerfile.groupme
#     username: 
#         from_secret: registry_username
#     password: 
#         from_secret: registry_password
#     repo: registry.hiram.services/rollbot4
#     tags: groupme
#     registry: registry.hiram.services
#   when:
#     branch:
#     - master

# ---
kind: pipeline
type: docker
name: discord

steps:
- name: docker  
  image: plugins/docker
  settings:
    dockerfile: Dockerfile.discord
    username: 
        from_secret: registry_username
    password: 
        from_secret: registry_password
    repo: registry.hiram.services/rollbot4
    tags: discord
    registry: registry.hiram.services
  when:
    branch:
    - master
